/* Header */
  .header {
    width: 100%;
    height: clamp(75px, 20vh, 100px); /* responsive height */
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .header svg {
    width: auto;
    height: 100%;
    display: block;
    flex: 1
  }

  /* Hamburger Menu */

  .hamburger-menu {
    font-size: 35px;
    background: none;
    color: white;
    border: none;
    cursor: pointer;
  }

  .hamburger-container {
    flex: 2;
    display: none;
    padding-right: 20px;
  }

  @media (max-width: 768px) {
    .hamburger-container {
      display: flex;
      justify-content: flex-end;
      align-items: center;
    }
  }

  /* Hamburger Menu Content */

  .hamburger-content {
    display: flex;
    flex: 4;
    justify-content: flex-end;
    align-items: center;
    position: relative;
    background-color: transparent;
    padding: 0;
  }

  @media (max-width: 768px) {
    .hamburger-content {
      flex-direction: column;
      align-items: stretch;
      width: 100%;
      height: 100vh;
      background-color: var(--b1);
      position: absolute;
      top: 0;
      left: 0;
      z-index: 10;
      display: none;
    }

    .hamburger-content.active {
      display: flex;
    }
  }

  /* Close Hamburger */

  .close-hamburger-container {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: clamp(75px, 20vh, 100px); /* Height the same as specified above for the header so that it lines up with the hamburger icon*/
    padding: clamp(10px, 2vw, 20px); /* Same for the padding */
  }

  .close-hamburger-button {
    font-size: 30px; /* Smaller size to make it look similar to the hamburger icon*/
    background: none;
    color: white;
    border: none;
    cursor: pointer;
    margin-right: 27px; /* Manual adjustment to make sure the X lines up with the Hamburger */
  }

  @media (min-width: 768px) {
    .close-hamburger-container {
      display: none; /* Hides container on bigger screens */
    }
  }

  /* Navigation */
  .nav-links {
    display: flex;
    justify-content: center;
    gap: 25px;
    flex: 3
  }

  .nav-links a {
    text-decoration: none;
    font-weight: 600;
    /* color: var(--b9); */
    color: white;
    transition: color 0.3s ease;
  }

  .nav-links a:hover {
    color: var(--b4);
  }

  @media (max-width: 768px) {
    .nav-links {
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      padding: 10px 0px
    }
  }

  /* Sign in / Dashboard Button */

  .signin-button-container {
    flex: 1;
    display: flex;
    justify-content: center;
  }

  .signin-button {
    padding: 8px clamp(24px, 5vw, 48px);
    background-color: var(--b7);
    color: white;
    border-radius: 10px;
    text-decoration: none;
    text-align: center;
    font-weight: 600;
    transition: background-color 0.3s ease, transform 0.1s ease, box-shadow 0.1s ease;
    box-shadow: 4px 2px 8px 2px rgba(0, 0, 0, 0.5);
  }

  .signin-button:hover {
    background-color: var(--b4);
    transform: translate(4px, 2px);
    box-shadow: 2px 1px 4px 1px rgba(0, 0, 0, 0.3);
  }

  @media (max-width: 768px) {
    .signin-button {
      height: max-content;
    }
  }


/* Text colour blue mid sentence */
.blue-9-text {
  color: var(--b9);
}